use serde::Deserialize;
use std::collections::HashMap;

#[derive(Debug, Clone, Deserialize)]
pub struct Config {}

pub type ProjectConfig = HashMap<String, Project>;

#[derive(Debug, Clone, Deserialize)]
pub struct Project {
    pub name: String,
    pub description: String,
    pub icon: Option<String>,
    pub website: Option<String>,
    pub documentation: Option<String>,
    pub since: Option<String>,
    pub contact: Option<ContactInfo>,
    pub sub: Option<ProjectConfig>,
}

#[derive(Debug, Clone, Deserialize)]
pub struct ContactInfo {
    pub email: Option<String>,
}

impl Config {
    pub fn load(path: &str) -> ProjectConfig {
        let content = std::fs::read_to_string(path).unwrap();
        toml::from_str(&content).unwrap()
    }
}
